LinuxCNC(1)

NAME
elbpcom - Communicate with Mesa ethernet cards

SYNOPSIS
Common options:
    elbpcom [--ip=IP] [--port=PORT] [--timeout=TIMEOUT] [--space=MEMSPACE] [--size=TRANSFER_SIZE]

Reading data:
    elbpcom [common options] [--info] --address=ADDRESS --read=LENGTH

Writing data:
    elbpcom [common options] --address=ADDRESS --write=HEXDATA

Read and decode memory space info area:
    elbpcom [--space=MEMSPACE] --read-info

Sending arbitrary packets:
    elbpcom [common options] HEXDATA

DESCRIPTION
Read or write data from a Mesa ethernet card that uses the LBP16 protocol, such as the 7I80. This can be useful for performing certain low-level tasks.

For more information about the meaning of each address space, see the card documentation. Incorrect use of this utility can have negative effects such as changing the board's IP address or even corrupting the FPGA bitfile in the eeprom. For some tasks, such as updating FPGA bitfiles and setting IP addresses, mesaflash(1) is a more appropriate tool.

If not specified, the default values are
    --ip=192.168.1.121 --port=27181 --timeout=.2 --space=0 --size=0

If the --size argument TRANSFER_SIZE is 0, elbpcom will look up the preferred transfer size of the space in the space's info area.

This example demonstrates reading the HOSTMOT2 identifying string from the IDROM in space 0:
    $ elbpcom --address 0x104 --read 8
    > 82420401
    < 484f53544d4f5432
          HOSTMOT2
First the request is shown in hex. Then the response (if any) is shown in hex. Finally, the response is shown in ASCII, with "." replacing any non-ASCII characters. This is similar to the following invocations of mesaflash:
    $ ./mesaflash  --device 7i80 --rpo 0x104
    54534F48
    $ ./mesaflash  --device 7i80 --rpo 0x108
    32544F4D
but notice its different treatment of byte order.

SEE ALSO
mesaflash(1), hostmot2(9), hm2_eth(9), Mesa's documentation for the Anything I/O boards (http://www.mesanet.com).